curl -X POST 'https://crypto-api.yativo.com/api/transactions/list' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"page": 1,
"limit": 20,
"status": "confirmed",
"chain": "solana"
}'
{
"status": "success",
"message": "Transactions retrieved successfully",
"data": {
"transactions": [
{
"transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF",
"from_address": "7nZ9X4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
"to_address": "9xZ7Y4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
"amount": "100.00",
"chain": "solana",
"ticker": "USDC_SOL",
"status": "confirmed",
"tx_hash": "5KgF7hJ2mN4pQ8rT9vX1yC3bA6wD0eG2jL5nP8sU1z4",
"created_at": "2026-03-26T12:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"total_pages": 1
}
}
}
Retrieve a paginated list of transactions with optional filters
curl -X POST 'https://crypto-api.yativo.com/api/transactions/list' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"page": 1,
"limit": 20,
"status": "confirmed",
"chain": "solana"
}'
{
"status": "success",
"message": "Transactions retrieved successfully",
"data": {
"transactions": [
{
"transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF",
"from_address": "7nZ9X4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
"to_address": "9xZ7Y4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
"amount": "100.00",
"chain": "solana",
"ticker": "USDC_SOL",
"status": "confirmed",
"tx_hash": "5KgF7hJ2mN4pQ8rT9vX1yC3bA6wD0eG2jL5nP8sU1z4",
"created_at": "2026-03-26T12:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"total_pages": 1
}
}
}
Bearer YOUR_ACCESS_TOKEN1.20, maximum 100.pending, confirmed, failed, cancelled.solana, ethereum.curl -X POST 'https://crypto-api.yativo.com/api/transactions/list' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"page": 1,
"limit": 20,
"status": "confirmed",
"chain": "solana"
}'
{
"status": "success",
"message": "Transactions retrieved successfully",
"data": {
"transactions": [
{
"transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF",
"from_address": "7nZ9X4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
"to_address": "9xZ7Y4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
"amount": "100.00",
"chain": "solana",
"ticker": "USDC_SOL",
"status": "confirmed",
"tx_hash": "5KgF7hJ2mN4pQ8rT9vX1yC3bA6wD0eG2jL5nP8sU1z4",
"created_at": "2026-03-26T12:00:00Z"
}
],
"pagination": {
"page": 1,
"limit": 20,
"total": 1,
"total_pages": 1
}
}
}